##  for Mageia 9  ##

# Unpackaged files in buildroot should terminate build
%define _unpackaged_files_terminate_build 1
%define oname CPU-X

%define libcpuid_ver 0.7.1

# turn off debuginfo package
%define debug_package %{nil}

Name:    cpu-x
Summary: CPU-X is a Free software that gathers information on CPU, motherboard and more
Version: 5.2.0
Release: 1.np9
License: GPLv3+
Group:   Monitoring
Url:     https://github.com/X0rg/CPU-X

Source0: https://github.com/X0rg/CPU-X/archive/v%{version}/%{oname}-%{version}.tar.gz
Source1: %{name}.desktop

BuildRequires: cmake
BuildRequires: gettext
BuildRequires: %{_lib}ncurses-devel
BuildRequires: %{_lib}ncursesw-devel
BuildRequires: %{_lib}statgrab-devel
BuildRequires: procps-devel
BuildRequires: pciutils-devel
BuildRequires: %{_lib}gtk+3.0-devel
#BuildRequires: %%{_lib}glfw-devel
BuildRequires: %{_lib}glvnd-devel
BuildRequires: %{_lib}curl-devel
BuildRequires: %{_lib}cpuid-devel >= %{libcpuid_ver}
BuildRequires: %{_lib}archive-devel
#
BuildRequires:  nasm
BuildRequires:  %{_lib}vulkan-loader-devel
BuildRequires:  %{_lib}opencl-devel
BuildRequires:  %{_lib}json-c-devel

Requires: hicolor-icon-theme
Requires: libcpuid-tools >= %{libcpuid_ver}
Requires: cpuid

%description
CPU-X is a Free software that gathers information on CPU, motherboard and more.
CPU-X is similar to CPU-Z (Windows), but CPU-X is a Free and Open Source software designed for GNU/Linux; also, it works on *BSD.
This software is written in C and built with CMake tool.
It can be used in graphical mode by using GTK or in text-based mode by using NCurses. 
A dump mode is present from command line. 


%prep
%setup -qn %{oname}-%{version}


%build
%cmake -DCMAKE_BUILD_TYPE=Release -DWITH_BANDWIDTH=1 -DCMAKE_INSTALL_PREFIX=/usr
%cmake_build


%install
rm -rf $RPM_BUILD_ROOT
%cmake_install

install -Dm 0644 %{SOURCE1} %{buildroot}/%{_datadir}/applications/%{name}.desktop

%find_lang %{name}


%files -f %{name}.lang
%license COPYING
%doc README.md
%{_bindir}/%{name}
%{_libexecdir}/%{name}-daemon
%{_datadir}/applications/*.desktop
%{_datadir}/bash-completion/completions/%{name}
%{_datadir}/%{name}/*
%{_datadir}/fish/vendor_completions.d/%{name}.fish
%{_datadir}/glib-2.0/schemas/io.github.thetumultuousunicornofdarkness.%{name}.gschema.xml
%{_datadir}/icons/hicolor/*
%{_datadir}/polkit-1/actions/io.github.thetumultuousunicornofdarkness.%{name}-daemon.policy
%{_datadir}/zsh/site-functions/_%{name}
%{_metainfodir}/io.github.thetumultuousunicornofdarkness.%{name}.appdata.xml


%changelog
* Wed Mar 26 2025 tomcat <> 5.2.0-1.np9
- 5.2.0
- GLFW dependency removed, replaced by EGL
    * add BR:%%{_lib}glvnd-devel
    * remove BR:%%{_lib}glfw-devel

* Fri Mar 21 2025 tomcat <> 5.1.3-1.np9
- 5.1.3

* Thu Dec 12 2024 tomcat <> 5.1.1-1.np9
- 5.1.1
- update required version of libcpuid to 0.7.1

* Sun Oct 13 2024 tomcat <> 5.1.0-1.np9
- 5.1.0

* Sat Sep 14 2024 tomcat <> 5.0.4-2.np9
- rebuild against libcpuid-0.7.0

* Sun Jun 02 2024 tomcat <> 5.0.4-1.np9
- 5.0.4
- update required version of libcpuid to 0.6.5

* Wed Jan 10 2024 tomcat <> 5.0.3-1.np9
- 5.0.3

* Tue Nov 21 2023 tomcat <> 5.0.2-1.np9
- 5.0.2
- update %%files

* Tue Oct 24 2023 tomcat <> 5.0.1-1.np9
- 5.0.1

* Mon Oct 16 2023 tomcat <> 5.0.0-1.np9
- 5.0.0
- update required version of libcpuid to 0.6.4
- update %%files

* Mon Apr 24 2023 tomcat <> 4.5.3-1.np9
- 4.5.3

* Sun Feb 26 2023 tomcat <> 4.5.2-2.np9
- build for Mageia 9

* Sun Nov 13 2022 tomcat <> 4.5.2-1.nora8
- 4.5.2
- update required version of libcpuid to 0.6.2

* Mon Oct 24 2022 tomcat <> 4.5.1-1.nora8
- 4.5.1
- update required version of libcpuid to 0.6.1

* Sun Oct 09 2022 tomcat <> 4.5.0-1.nora8
- 4.5.0
- update required version of libcpuid to 0.6.0

* Wed Aug 31 2022 tomcat <> 4.4.0-1.nora8
- 4.4.0

* Wed May 11 2022 tomcat <> 4.3.1-1.nora8
- 4.3.1

* Tue Feb 22 2022 tomcat <> 4.3.0-1.nora8
- 4.3.0

* Sat Dec 18 2021 tomcat <> 4.2.0-1.nora8
- imported from PCLOS
